GPIOINFO(1)

NAME
gpioinfo - libgpiod command-line utility

SYNOPSIS
gpioinfo [OPTIONS] [line]...

DESCRIPTION
Print information about GPIO lines.

Lines are specified by name, or optionally by offset if the chip option is provided.

If no lines are specified then all lines are displayed.

OPTIONS

--by-name
    treat lines as names even if they would parse as an offset

-c, --chip <chip>
    restrict scope to a particular chip

-h, --help
    display this help and exit

-s, --strict
    check all lines - don't assume line names are unique

--unquoted
    don't quote line or consumer names

-v, --version
    output version information and exit

  Chips:

    A GPIO chip may be identified by number, name, or path. e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.

AUTHOR
Bartosz Golaszewski <brgl@bgdev.pl>

REPORTING BUGS
Report bugs to:
    Bartosz Golaszewski <brgl@bgdev.pl>
    linux-gpio <linux-gpio@vger.kernel.org>

COPYRIGHT
Copyright © 2017-2023 Bartosz Golaszewski License: GPL-2.0-or-later
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.